
#ifndef SPECTRE_GRAPHICS_FONT_FONTDESCRIPTION_H
#define SPECTRE_GRAPHICS_FONT_FONTDESCRIPTION_H

namespace sp {

class FontDescription
{
public :
	void hinting(bool value = true);

	bool isHintingEnabled() const;

protected :

	// True if hinting is enabled. false otherwise.
	bool m_hinting = true;
};

} // namespace sp

#endif /* SPECTRE_GRAPHICS_FONT_FONTDESCRIPTION_H */
